#include "stdafx.h"
#include "ITaskListener.h"
#include "../Scheduler.h"
#include <sstream>

namespace MP
{
  TaskEvent::TaskEvent(const SchedulerTask * t) : id(t->getDebugId()), name(toString(t)), priority(t->getPriority()), createTime(0)
  {
    assert(t->isActive());
    threadID = ::GetCurrentThreadId();
    time = Task::getCurrentTime();
  }
}